# Images and events
#
import pyglet
import pyglet.window.key as pk

class MyWindow(pyglet.window.Window):

    def __init__(self):
        super(MyWindow, self).__init__()
        self._image = pyglet.resource.image('flag.jpg')
        self._image.width = self.width
        self._image.height = self.height
        self._pos = (0, 0)

    def on_draw(self):
        self.clear()
        self._image.blit(*self._pos)

    def on_key_press(self, key, modifiers):
        if key == pk.LEFT:
            self._pos = (self._pos[0] - 3, self._pos[1])
        if key == pk.RIGHT:
            self._pos = (self._pos[0] + 3, self._pos[1])
        if key == pk.UP:
            self._pos = (self._pos[0], self._pos[1] + 3)
        if key == pk.DOWN:
            self._pos = (self._pos[0], self._pos[1] - 3)
        if key == pk.ESCAPE:
            pyglet.app.exit()


if __name__ == "__main__":
    win = MyWindow()
    pyglet.app.run()
